package com.ss.android.ugc.aweme.video.simpreloader;

import X.0HH;
import X.2b0;
import X.AnonymousClass7SE;
import X.AnonymousClass8CH;
import X.AnonymousClass8DK;
import X.AnonymousClass8F6;
import X.AnonymousClass8FP;
import X.AnonymousClass8MN;
import X.AnonymousClass8N2;
import X.AnonymousClass8N4;
import X.AnonymousClass8N5;
import X.AnonymousClass8N8;
import X.AnonymousClass8P7;
import X.AnonymousClass8PD;
import X.AnonymousClass8RF;
import X.AnonymousClass8RJ;
import X.AnonymousClass8RK;
import X.AnonymousClass8RL;
import X.AnonymousClass8RM;
import X.AnonymousClass8RN;
import X.AnonymousClass8RO;
import X.AnonymousClass8RP;
import X.AnonymousClass8RQ;
import X.AnonymousClass8SC;
import X.AnonymousClass8SE;
import X.AnonymousClass8SW;
import X.AnonymousClass8YM;
import X.AnonymousClass9Y3;
import X.C03417cw;
import X.C03657du;
import X.C16738Dg;
import X.C16758Di;
import X.C20318Ra;
import X.C20408Rj;
import X.C20418Rk;
import X.C20468Rp;
import X.C21178Ui;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.app.AwemeApplicationServiceImpl;
import com.ss.android.ugc.aweme.component.music.MusicService;
import com.ss.android.ugc.aweme.setting.model.MLModel;
import com.ss.android.ugc.aweme.video.VideoBitRateABManager;
import com.ss.android.ugc.aweme.video.preload.IVideoPreloadConfig;
import com.ss.android.ugc.aweme.video.preload.api.IPreloaderExperiment;

public class VideoPreloadManagerConfigImpl implements IVideoPreloadConfig {
    static {
        Covode.recordClassIndex(123174);
    }

    public AnonymousClass8CH createVideoUrlProcessor() {
        return null;
    }

    public boolean enableLoadMorePreload() {
        return false;
    }

    public boolean forbidBypassCookie() {
        return true;
    }

    public int getBitrateQuality() {
        return 1;
    }

    public AnonymousClass8FP getBitrateSelectListener() {
        return null;
    }

    public AnonymousClass8DK getBitrateSelector() {
        return null;
    }

    public AnonymousClass8RP getPlayerPgoPlugin() {
        return null;
    }

    public AnonymousClass8MN getPreloadStrategy() {
        return AnonymousClass8RJ.LIZ(this);
    }

    public AnonymousClass8N8 getQOSSpeedUpService() {
        return AnonymousClass8RJ.LIZIZ(this);
    }

    public AnonymousClass8F6 getSelectedBitrateForColdBoot(C16758Di r2) {
        return null;
    }

    public AnonymousClass8RO getSensitiveSceneTransmitter() {
        return null;
    }

    public boolean isUseLastNetworkSpeed() {
        return true;
    }

    public boolean useSyncPreloadStyle() {
        return AnonymousClass8RL.LIZ;
    }

    public AnonymousClass8N2 getAppLog() {
        return new AnonymousClass8RK();
    }

    public AnonymousClass8SW getCacheHelper() {
        return new AnonymousClass8RF();
    }

    public IPreloaderExperiment getExperiment() {
        return new PreloaderExperiment();
    }

    public AnonymousClass8SC getMLServiceSpeedModel() {
        return new AnonymousClass8SC() {
            static {
                Covode.recordClassIndex(123175);
            }

            public final Integer LIZ() {
                int i;
                MLModel mLModel = C20408Rj.LIZ.LIZIZ;
                if (mLModel == null) {
                    return null;
                }
                if (mLModel.params == null || mLModel.params.length <= 0) {
                    i = 500;
                } else {
                    i = mLModel.params[0];
                }
                return Integer.valueOf(i);
            }
        };
    }

    public C20418Rk getMusicService() {
        return new C20418Rk() {
            static {
                Covode.recordClassIndex(123176);
            }

            public final int LIZ() {
                return MusicService.LJIJ().LJFF();
            }
        };
    }

    public C20468Rp getPlayerCommonParamManager() {
        return new AnonymousClass7SE();
    }

    public AnonymousClass8N4 getPlayerEventReportService() {
        return new AnonymousClass8RM();
    }

    public AnonymousClass8SE getSpeedManager() {
        return new C21178Ui();
    }

    public C20318Ra getStorageManager() {
        return new AnonymousClass8RQ();
    }

    public AnonymousClass8N5 getVideoCachePlugin() {
        return new AnonymousClass8RN();
    }

    public boolean isPlayerPreferchCaption() {
        return C03657du.LIZJ();
    }

    public boolean isPlayerPreferchTtsAudio() {
        return C03657du.LIZIZ();
    }

    public boolean isPreloadV3Enabled() {
        if (AnonymousClass9Y3.LIZ(AnonymousClass9Y3.LIZ(), true, "player_preload_v3", 0) == 1) {
            return true;
        }
        return false;
    }

    public float playerPreferchCaptionSize() {
        return AnonymousClass9Y3.LIZ().LIZ("player_prefetch_cla_caption_size", 0.0f);
    }

    public float playerPreferchTtsAudioSize() {
        return AnonymousClass9Y3.LIZ().LIZ("player_preferch_tts_audio_size", 0.0f);
    }

    public boolean canPreload() {
        if (!AwemeApplicationServiceImpl.LIZJ().LIZ() || AnonymousClass9Y3.LIZ(AnonymousClass9Y3.LIZ(), true, "enable_preload_background", 1) == 1) {
            return true;
        }
        return false;
    }

    public AnonymousClass8PD getNetClient() {
        return new AnonymousClass8P7(2b0.LIZ(0HH.LIZ("https://%s/", new Object[]{"tiktokv.com"})));
    }

    public boolean isDashABREnabled() {
        if (C03657du.LIZLLL == null) {
            boolean z = true;
            if (AnonymousClass9Y3.LIZ(AnonymousClass9Y3.LIZ(), true, "player_abr_enable", 0) != 1) {
                z = false;
            }
            C03657du.LIZLLL = Boolean.valueOf(z);
        }
        return C03657du.LIZLLL.booleanValue();
    }

    public AnonymousClass8YM getProperResolution(String str, C16738Dg r3) {
        if (VideoBitRateABManager.LIZ.LJ()) {
            return C03417cw.LIZ().LJI().LIZ(str, r3);
        }
        return null;
    }
}
